module P = Pervasives
module PCAP = Pcap

open Packet_analyser
 
let _ =
	
	let arg_len = (Array.length Sys.argv) - 1 in
	
	let usage () =
		prerr_endline (Printf.sprintf "usage %s trace_name" Sys.argv.(0));
		exit (- 1)
	in
	
	let trace_name =
		if (arg_len > 1) or (arg_len = 0) then
			usage ()
		else
			Sys.argv.(1)
	in
	
	prerr_endline "Start:";
	
	Packet_analyser.launch_analysis trace_name;